v1.0
put
/ec-site-svc/rest/v1.0/studies/{studyId}/{mode}/sdfs/sdf/{sdfType}/kitSettings/{kitTypeId}/shipToAddress
Update Ship To Address of a kit Type for all sites based on list of locally sourced countries matching site's primary country.
Request
Path Parameters
-
kitTypeId(required): string
Kit type identifier as a 32-character uppercase hexadecimal UUID string.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
mode(required): string
Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).Example:
test -
sdfType(required): string
SDF type filter. Allowed values: site/SITE (site records), depot/DEPOT (depot records), lab/LAB (lab records), all/ALL (all supported SDF types).Example:
site -
studyId(required): string(uuid)
Study identifier as a 32-character uppercase hexadecimal UUID string.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples